dissatisfied with lightning Rated 2 out of 5 stars

Installed 'Earlybird'. Got the option to download Lightning.
Only after installation it appeared as 'DISABLED'.

It would be much better if, like with firefox addons, the option to download is NOT enabled if it is known in advance that a addon will not be able to be used.

I will have to revert to using google calendar (which is an alternative for me, but perhaps not for non-gmail users).

Also i cannot understand if mozilla allows this crappy situation with plugins to continue much longer.

This review is for a previous version of the add-on (1.2.1).